<?php

namespace ContainerYHymreF;

class DoctrinePersisterProxy02aeb67 extends \Scheb\TwoFactorBundle\Model\Persister\DoctrinePersister implements \Symfony\Component\VarExporter\LazyObjectInterface
{
    use \Symfony\Component\VarExporter\LazyProxyTrait;
    private const LAZY_OBJECT_PROPERTY_SCOPES = [
        "\0".parent::class."\0".'om' => [parent::class, 'om', null, 530],
        'om' => [parent::class, 'om', null, 530],
    ];
    public function persist(object $user): void
    {
        if (isset($this->lazyObjectState)) {
            ($this->lazyObjectState->realInstance ??= ($this->lazyObjectState->initializer)())->persist(...\func_get_args());
        } else {
            parent::persist(...\func_get_args());
        }
    }
}
class_exists(\Symfony\Component\VarExporter\Internal\Hydrator::class);
class_exists(\Symfony\Component\VarExporter\Internal\LazyObjectRegistry::class);
class_exists(\Symfony\Component\VarExporter\Internal\LazyObjectState::class);

if (!\class_exists('DoctrinePersisterProxy02aeb67', false)) {
    \class_alias(__NAMESPACE__.'\\DoctrinePersisterProxy02aeb67', 'DoctrinePersisterProxy02aeb67', false);
}
